.NET Tutorials, Forums, Interview Questions And Answers
Welcome :Guest
Sign In
Win Surprise Gifts!!!

Top 5 Contributors of the Month
Gaurav Pal
Post New Web Links

SMO - .NET 4.0

Posted By:      Posted Date: August 28, 2010    Points: 0   Category :Sql Server
I created a new application with VS2010 which by default uses the .NET 4.0.  I added some canned function from an existing application which uses .NET 3.5.  The canned functions use SMO so I added the SMO from the SDK that I have on my system.  When I run the application it throws and can't use 2.0 with 4.0 error. Is there a new SDK for SQL that uses the NET 4.0?  Or another work around? The SQL SDK I am using is August 2008 http://www.microsoft.com/downloads/details.aspx?FamilyID=228de03f-3b5a-428a-923f-58a033d316e1&DisplayLang=en  Error message: Microsoft.SqlServer.Management.Smo.FailedOperationException: ExecuteNonQuery failed for Database 'TM-Data'.  ---> System.IO.FileLoadException: Mixed mode assembly is built against version 'v2.0.50727' of the runtime and cannot be loaded in the 4.0 runtime without additional configuration information.John J. Hughes www.functioninternational.com/

View Complete Post

More Related Resource Links

ASP.NetWindows Application  .NET Framework  C#  VB.Net  ADO.Net  
Sql Server  SharePoint  Silverlight  Others  All   

Hall of Fame    Twitter   Terms of Service    Privacy Policy    Contact Us    Archives   Tell A Friend